Zum Hauptinhalt springen
Version: API v1

Kontakt - Adressdaten anlegen

POST/v1/gdpr/contacts
API-Version
v1
Request-Methode
POST
Operation-ID
createGDPRContact

Legt einen Adressdatensatz mit den angegebenen Daten an

Request​

Responses​

Format
application/json
Beschreibung

Adressdatensatz erfolgreich angelegt

  • namestring
    required
  • streetstring
    required
  • houseNumberstring
    required
  • zipCodestring
    required
  • citystring
    required
  • mailstring
    required
  • creationDatestring (datetime)

    Das Erstelldatum im UTC Format

  • typestring

    Ein frei wählbarer Typ, der optional angegeben werden kann.

Content-Type: application/json

{
"name": "string",
"street": "string",
"houseNumber": "string",
"zipCode": "string",
"city": "string",
"mail": "string",
"creationDate": "string",
"type": "string"
}
{
"title": "GDPRContact",
"required": [
"city",
"houseNumber",
"mail",
"name",
"street",
"zipCode"
],
"type": "object",
"properties": {
"name": {
"type": "string"
},
"street": {
"type": "string"
},
"houseNumber": {
"type": "string"
},
"zipCode": {
"type": "string"
},
"city": {
"type": "string"
},
"mail": {
"type": "string"
},
"creationDate": {
"type": "string",
"description": "Das Erstelldatum im UTC Format",
"format": "datetime"
},
"type": {
"type": "string",
"description": "Ein frei wählbarer Typ, der optional angegeben werden kann."
}
}
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{"name":"string","street":"string","houseNumber":"string","zipCode":"string","city":"string","mail":"string","creationDate":"string","type":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v1/gdpr/contacts

Auf dieser Seite